Page MenuHomePhabricator

Upgrade docker on integration-slave-docker-*
Closed, ResolvedPublic

Description

After some discussions with @Muehlenhoff, I think we can import that under the component thirdparty/ci as is and enable that component just on contint1001. I 'll have a look (I don't expect it to be difficult or causing any issues) and implement it.

So whenever the new docker is available on apt.wikimedia.org, we should upgrade the fleet of jenkins slaves.

Event Timeline

hashar created this task.Sep 19 2017, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2017, 9:07 PM

So the slaves have docker-engine

$ apt-cache policy docker-engine
docker-engine:
  Installed: 1.12.6-0~debian-jessie
  Candidate: 1.12.6-0~debian-jessie
  Version table:
 *** 1.12.6-0~debian-jessie 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages
        100 /var/lib/dpkg/status

That apparently comes from profile::ci::docker.

To upgrade we would want to switch to:

apt::repository { 'thirdparty-ci':
    uri        => 'http://apt.wikimedia.org/wikimedia',
    dist       => "${::lsbdistcodename}-wikimedia",
    components => 'thirdparty/ci',
}
package { 'docker-ce':
    ensure => present,
}

Change 379556 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: docker-ce on labs docker slaves

https://gerrit.wikimedia.org/r/379556

Mentioned in SAL (#wikimedia-releng) [2017-09-22T08:44:32Z] <hashar> Upgraded docker on integration-slave-docker-1001 and integration-slave-docker-1002 - T176267

hashar claimed this task.Sep 22 2017, 9:29 AM
hashar triaged this task as Normal priority.
hashar moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.

Change 379726 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] Decouple profile::ci::docker and arcanist install

https://gerrit.wikimedia.org/r/379726

Change 379727 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] Decouple profile::ci::docker and zuul-cloner install

https://gerrit.wikimedia.org/r/379727

Change 379728 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] Decouple profile::ci::docker and worker_localhost

https://gerrit.wikimedia.org/r/379728

Change 379726 merged by Alexandros Kosiaris:
[operations/puppet@production] Decouple profile::ci::docker and arcanist install

https://gerrit.wikimedia.org/r/379726

Change 379727 merged by Alexandros Kosiaris:
[operations/puppet@production] Decouple profile::ci::docker and zuul-cloner install

https://gerrit.wikimedia.org/r/379727

Change 379728 merged by Alexandros Kosiaris:
[operations/puppet@production] Decouple profile::ci::docker and worker_localhost

https://gerrit.wikimedia.org/r/379728

Change 379556 merged by Alexandros Kosiaris:
[operations/puppet@production] contint: docker-ce on labs docker slaves

https://gerrit.wikimedia.org/r/379556

hashar closed this task as Resolved.Oct 9 2017, 8:38 AM

All done. One of the instance did not get upgraded because it is manually setup. That is tracked via T177743